Runners
Create a runner pool
Authorization
apiKey AuthorizationBearer <token>
OpenRelay API key. Send it as Authorization: Bearer vl_….
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/runner-pools" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "installationId": 0, "poolRamGb": 0 }'{
"id": "string",
"organizationId": "string",
"name": "string",
"githubInstallationId": 0,
"githubOwner": "string",
"githubOwnerType": "string",
"poolRamGb": 0,
"diskSizeGb": 0,
"runtime": "string",
"status": "string",
"createdAt": "string",
"updatedAt": "string"
}{
"error": "string",
"code": "string"
}{
"error": "string",
"code": "string"
}{
"error": "string",
"code": "string"
}